Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class Configuration

`java.lang.Object
oracle.jbo.client.Configuration
oracle.jbo.common.Configuration`

Deprecated. since 5.0 Use `Configuration` instead.

public class Configuration
extends Configuration

Field Summary

Fields inherited from class oracle.jbo.client.Configuration
`APP_MODULE_CONFIG_BAG, APP_MODULE_CONFIG_NAME, APPLICATION_NAME_PROPERTY, APPLICATION_TYPE_PROPERTY, APPLICATION_TYPE_VALUE_APPMODULE, APPLICATION_TYPE_VALUE_PACKAGE, APPMODULE_JNDI_NAME, APPSERVER_CONNECTION_NAME, ATTR_CONFIG_NAME, BC4J_CONFIG, BC4J_CONFIG_NAME, BC4J_CONFIG_NAMES, COMMON, configDocument, CONFIGURATION_NAME, CONNECTION_DEF_NAME, connectionManager, DB_CONNECT_STRING_PROPERTY, DB_CONNECTION_PROPERTY, DB_DATASOURCE_PASSWD_PROPERTY, DB_DATASOURCE_PROPERTY, DB_DATASOURCE_USERNAME_PROPERTY, DB_PASSWORD_PROPERTY, DB_USERNAME_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_FILE_EXT, DEFAULT_CONFIG_FILENAME, domParser, DT_COMMONDEPLOYMENTPROFILE, DT_DEPLOYMENTPROFILE, DT_MIDDLETIERDEPLOYMENTPROFILE, HTTP_CONNECTION_NAME, IIOP_CONNECTION_NAME, IS_INTERNAL, JBO_SESSION_COOKIE, JDBC_CONNECTION_NAME, JDBC_DS_NAME, O8I_CONNECT_STRING`

Constructor Summary
`Configuration()` Deprecated.

Methods inherited from class oracle.jbo.client.Configuration
`addProperties, buildConfigurationFileName, buildConfigurationFileNameFromClassPath, createNewConnectionEntry, createRootApplicationModule, createRootApplicationModule, createRootApplicationModuleFromConfig, getAppModuleConfigBagNode, getAppModuleConfigNodes, getChecksumValue, getConfiguration, getConfiguration, getConfiguration, getConfiguration, getConfigurationNameList, getConfigurationNameList, getConfigurationNode, getConnectionDefinitionNodes, getConnectionDescriptor, getExternalConfigurationNameList, getPassword, getRestoredChecksumValue, getXMLDocument, getXMLDocument, initializeFromConnectionName, isEmbeddedConfig, isEmbeddedConfig, loadFromClassPath, loadFromFile, loadFromReader, loadFromStream, main, registerConnectionsFromDocument, releaseRootApplicationModule, removeConfigurationProperty, removeConnectionEntry, updateConnectionDefinition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.